---
title: List Confluent Account resources
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Confluent Cloud
---

# List Confluent Account resources{% #list-confluent-account-resources %}

{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                          |
| ----------------- | ----------------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integrations/confluent-cloud/accounts/{account_id}/resources |

### Overview

Get a Confluent resource for the account associated with the provided ID. This endpoint requires the `integrations_read` permission.

### Arguments

#### Path Parameters

| Name                         | Type   | Description           |
| ---------------------------- | ------ | --------------------- |
| account_id [*required*] | string | Confluent Account ID. |

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response schema when interacting with a list of Confluent resources.

| Parent field | Field                           | Type     | Description                                                                                        |
| ------------ | ------------------------------- | -------- | -------------------------------------------------------------------------------------------------- |
|              | data                            | [object] | The JSON:API data attribute.                                                                       |
| data         | attributes [*required*]    | object   | Model representation of a Confluent Cloud resource.                                                |
| attributes   | enable_custom_metrics           | boolean  | Enable the `custom.consumer_lag_offset` metric, which contains extra metric tags.                  |
| attributes   | id                              | string   | The ID associated with the Confluent resource.                                                     |
| attributes   | resource_type [*required*] | string   | The resource type of the Resource. Can be `kafka`, `connector`, `ksql`, or `schema_registry`.      |
| attributes   | tags                            | [string] | A list of strings representing tags. Can be a single key, or key-value pairs separated by a colon. |
| data         | id [*required*]            | string   | The ID associated with the Confluent resource.                                                     |
| data         | type [*required*]          | enum     | The JSON:API type for this request. Allowed enum values: `confluent-cloud-resources`               |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "enable_custom_metrics": false,
        "id": "resource_id_abc123",
        "resource_type": "kafka",
        "tags": [
          "myTag",
          "myTag2:myValue"
        ]
      },
      "id": "resource_id_abc123",
      "type": "confluent-cloud-resources"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Path parameters export account_id="CHANGE_ME" \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integrations/confluent-cloud/accounts/${account_id}/resources" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
##### 

```python
"""
List Confluent Account resources returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.confluent_cloud_api import ConfluentCloudApi

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = ConfluentCloudApi(api_client)
    response = api_instance.list_confluent_resource(
        account_id="account_id",
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" python3 "example.py"
##### 

```ruby
# List Confluent Account resources returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::ConfluentCloudAPI.new
p api_instance.list_confluent_resource("account_id")
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" rb "example.rb"
##### 

```go
// List Confluent Account resources returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewConfluentCloudApi(apiClient)
	resp, r, err := api.ListConfluentResource(ctx, "account_id")

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `ConfluentCloudApi.ListConfluentResource`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `ConfluentCloudApi.ListConfluentResource`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" go run "main.go"
##### 

```java
// List Confluent Account resources returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.ConfluentCloudApi;
import com.datadog.api.client.v2.model.ConfluentResourcesResponse;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    ConfluentCloudApi apiInstance = new ConfluentCloudApi(defaultClient);

    try {
      ConfluentResourcesResponse result = apiInstance.listConfluentResource("account_id");
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println("Exception when calling ConfluentCloudApi#listConfluentResource");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" java "Example.java"
##### 

```rust
// List Confluent Account resources returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_confluent_cloud::ConfluentCloudAPI;

#[tokio::main]
async fn main() {
    let configuration = datadog::Configuration::new();
    let api = ConfluentCloudAPI::with_config(configuration);
    let resp = api.list_confluent_resource("account_id".to_string()).await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" cargo run
##### 

```typescript
/**
 * List Confluent Account resources returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.ConfluentCloudApi(configuration);

const params: v2.ConfluentCloudApiListConfluentResourceRequest = {
  accountId: "account_id",
};

apiInstance
  .listConfluentResource(params)
  .then((data: v2.ConfluentResourcesResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<API-KEY>" DD_APP_KEY="<APP-KEY>" tsc "example.ts"
{% /tab %}
